#!/bin/bash

# %f %w
file="$1"
fileName="$2"
desktopDir=${XDG_DESKTOP_DIR:-$HOME/Desktop}
##desktopFileName="${desktopDir}/${fileName}.desktop"

NIVEL=$(yad --text "  ¿Es un acceso directo para un libro de inglés?  " \
--button="SI:0" --button="NO:1" --title "Crear Acceso Directo" --center \
--image /usr/share/icons/vitalinux/vitalinux-48x48.png \
--form \
--field="Nivel":CB '1ºPrimaria!2ºPrimaria!3ºPrimaria!4ºPrimaria!5ºPrimaria!6ºPrimaria!1ºESO!2ºESO!3ºESO!4ºESO!1ºBachillerato!2ºBachillerato')
if test $? -eq 0 ; then
	NIVEL=$(echo $NIVEL | cut -d"|" -f1)
	desktopFileName="${desktopDir}/$NIVEL.desktop"
	case "$NIVEL" in
		"1ºPrimaria") RUTAICON="/usr/share/icons/vitalinux/ingles1.svg" ;;
		"2ºPrimaria") RUTAICON="/usr/share/icons/vitalinux/ingles2.svg" ;;
		"3ºPrimaria") RUTAICON="/usr/share/icons/vitalinux/ingles3.svg" ;;
		"4ºPrimaria") RUTAICON="/usr/share/icons/vitalinux/ingles4.svg" ;;
		"5ºPrimaria") RUTAICON="/usr/share/icons/vitalinux/ingles5.svg" ;;
		"6ºPrimaria") RUTAICON="/usr/share/icons/vitalinux/ingles6.svg" ;;
		"1ºESO") RUTAICON="/usr/share/icons/vitalinux/ingles1.svg" ;;
		"2ºESO") RUTAICON="/usr/share/icons/vitalinux/ingles2.svg" ;;
		"3ºESO") RUTAICON="/usr/share/icons/vitalinux/ingles3.svg" ;;
		"4ºESO") RUTAICON="/usr/share/icons/vitalinux/ingles4.svg" ;;
		"1ºBachillerato") RUTAICON="/usr/share/icons/vitalinux/ingles5.svg" ;;
		"2ºBachillerato") RUTAICON="/usr/share/icons/vitalinux/ingles6.svg" ;;
	esac
else
	RUTAICON=""
	desktopFileName="${desktopDir}/${fileName}.desktop"
fi

if [ ! -f "$desktopFileName" ]; then

cat > "${desktopFileName}" << EOF
[Desktop Entry]
Encoding=UTF-8
Name="${fileName}"
Exec="${file}"
Icon=$RUTAICON
Categories=Education;
Type=Application
Terminal=false
EOF
#echo -e "[Desktop Entry]\nVersion=1.0\nName=\"${fileName}\"\nExec=\"${file}\"\nTerminal=false\nType=Application\nCategories=Education;\nIcon=$RUTAICON" > "${desktopFileName}"
	if test "$RUTAICON" == "" ; then
		lxshortcut -i "${desktopFileName}"
	fi
else
	 zenity --error --text="Error ... Ya existe el acceso directo a ${desktopFileName}"
fi
